import fetch from '@/utils/fetch'

//获取支付字典
export function payTypeList() {
    return fetch({
        url: '/service-trade/payTypeDict/payTypes',
        method: 'get',
    })
}

//支付列表
export function payList(params) {
    return fetch({
        url: '/service-trade/payChannel/payChannels',
        method: 'get',
        params
    })
}

//支付信息
export function payFind(params) {
    return fetch({
        url: '/service-trade/payChannel/payChannel',
        method: 'get',
        params
    })
}

//支付添加
export function payAdd(params) {
    return fetch({
        url: '/service-trade/payChannel/payChannel',
        method: 'post',
        data: params
    })
}

//支付修改
export function payUpdate(params) {
    return fetch({
        url: '/service-trade/payChannel/payChannel',
        method: 'put',
        data: params
    })
}

//支付删除
export function payDel(params) {
    return fetch({
        url: '/service-trade/payChannel/payChannel',
        method: 'delete',
        params
    })
}

//支付停用
export function payStop(params) {
    return fetch({
        url: '/service-trade/payChannel/payChannelDisable',
        method: 'put',
        data:params
    })
}

//支付启用
export function payOn(params) {
    return fetch({
        url: '/service-trade/payChannel/payChannelEnable',
        method: 'put',
        data:params
    })
}