import fetch from '@/utils/fetch'
// 门店列表
export function storeList(params) {
  return fetch({
    url: '/service-org/shop/list',
    method: 'get',
    params
  })
}

// 门店添加
export function storeAdd(params) {
  return fetch({
    url: '/unionService/shop/shop',
    method: 'post',
    data: params
  })
}
// 门店查询
export function storeFind(id) {
  return fetch({
    url: '/unionService/shop/detail?shopId=' + id,
    method: 'get'
  })
}
// 门店修改
export function storeEdit(par) {
  return fetch({
    url: '/unionService/shop/shop',
    method: 'put',
    data: par
  })
}
// 门店关联ota
export function storeOta(par) {
  return fetch({
    url: '/unionService/device/store',
    method: 'put',
    data: par
  })
}

// 门店删除
export function storeDel(id) {
  return fetch({
    url: '/service-org/shop/delete?shopId=' + id,
    method: 'DELETE'
  })
}
