import fetch from '@/utils/fetch'

// 列表
export function appList(params) {
  return fetch({
    url: '/service-ota/apps',
    method: 'post',
    data: params
  })
}

// apk列表
export function apkList(appId) {
  return fetch({
    url: '/service-ota/apkVersions/' + appId,
    method: 'get'
  })
}

// 添加
export function appAdd(params) {
  return fetch({
    url: '/service-ota/app',
    method: 'post',
    data: params
  })
}
// apkAdd添加
export function apkAdd(params) {
  return fetch({
    url: '/service-ota/apkVersion',
    method: 'post',
    data: params
  })
}

// 更新状态
export function appDel(params) {
  return fetch({
    url: '/service-ota/app/status',
    method: 'put',
    data: params
  })
}

// 添加策略
export function appStrategy(params) {
  return fetch({
    url: '/service-ota/apkVersionStrategy',
    method: 'post',
    data: params
  })
}

// 策略列表
export function listStrategy(params) {
  return fetch({
    url: '/service-ota/apkVersionStrategies',
    method: 'post',
    data: params
  })
}

// 详情
export function showStrategy(id) {
  return fetch({
    url: '/unionService/OTA/apkVersionStrategy/detail/' + id,
    method: 'get'
  })
}
