import fetch from '@/utils/fetch'

// 获取打印模板
export function getTemplates() {
  return fetch({
    url: '/service-org/printerDictionary/printerTemplates',
    method: 'get'
  })
}

// 获取打印模板
export function getPrintRules() {
  return fetch({
    url: '/service-org/printerDictionary/printerRules',
    method: 'get'
  })
}

// 添加打印机
export function addPrinter(params) {
  return fetch({
    url: '/service-org/printer/print',
    method: 'post',
    data: params
  })
}

// 修改打印机
export function updatePrinter(params) {
  return fetch({
    url: '/service-org/printer/print',
    method: 'put',
    data: params
  })
}

// 添加打印机
export function queryPrinters(params) {
  return fetch({
    url: '/service-org/printer/printers',
    method: 'post',
    data: params
  })
}

// 更新状态
export function updateStatus(printerId, status) {
  return fetch({
    url: '/service-org/printer/print/status/' + printerId + '/' + status,
    method: 'put'
  })
}

// 获取打印模板
export function getPrinter(id) {
  return fetch({
    url: '/service-org/printer/printer?printerId=' + id,
    method: 'get'
  })
}
