import fetch from '@/utils/fetch'

//列表商品
export function retailList(params) {
    return fetch({
        url: '/service-inventory/goods/retail/goods',
        method: 'get',
        params
    })
}

//添加商品
export function retailAdd(params) {
    return fetch({
        url: '/service-inventory/goods/retail/goods',
        method: 'post',
        data: params
    })
}

//修改商品
export function retailEdit(params) {
    return fetch({
        url: '/service-inventory/goods/retail/goods',
        method: 'patch',
        data: params,
        // params: params
    })
}

//删除商品
export function retailDel(id) {
    return fetch({
        url: '/service-inventory/goods/retail/goods/' + id,
        method: 'delete',
    })
}

//菜品类别列表
export function retailCategories(id) {
    return fetch({
        url: '/service-inventory/goods/catering/menus/categories?preset=1',
        method: 'get',
    })
}

// /菜品标签列表
export function retailTags(id) {
    return fetch({
        url: '/service-inventory/goods/catering/menus/tags?preset=1',
        method: 'get',
    })
}

//单菜品查询
// /菜品标签列表
export function retailFind(id) {
    return fetch({
        url: '/service-inventory/goods/retail/goods/'+id,
        method: 'get',
    })
}
// /导入
export function retailImport(params) {
    return fetch({
        url: '/service-inventory/goods/retail/goods/batch',
        method: 'post',
        data:params
    })
}
