import fetch from '@/utils/fetch'

// 判断结算数据是否存在
export function validateSettle(par) {
  return fetch({
    url: '/service-trade/bill/billExistStatus',
    method: 'get',
    params: par
  })
}

// 结算或者查看结算
export function settleOrView(par) {
  return fetch({
    url: '/unionService/bill/noAcceptBills',
    method: 'get',
    params: par
  })
}

// 归档数据
export function archive(par) {
  return fetch({
    url: '/service-trade/bill/billAccept',
    method: 'put',
    data: par
  })
}

// 查看已归档数据
export function archivedView(par) {
  return fetch({
    url: '/unionService/bill/acceptBills',
    method: 'get',
    params: par
  })
}

// 查看结算订单详情
export function viewDetail(par) {
  return fetch({
    url: '/unionService/bill/billDetails',
    method: 'get',
    params: par
  })
}

// 查询未结算周期列表
export function scheduleList() {
  return fetch({
    url: '/service-trade/bill/noAcceptBillNumbers',
    method: 'get'
  })
}

// 查询集团结算周期
export function getOrgSettleSchedule() {
  return fetch({
    url: '/service-trade/billSettlementCycle/billSettlementCycle',
    method: 'get'
  })
}

// 创建集团结算周期
export function createOrgSettleSchedule(par) {
  return fetch({
    url: '/service-trade/billSettlementCycle/billSettlementCycle',
    method: 'post',
    data: par
  })
}

// 修改集团结算周期
export function updateOrgSettleSchedule(par) {
  return fetch({
    url: '/service-trade/billSettlementCycle/billSettlementCycle',
    method: 'put',
    data: par
  })
}

// 查询结算[支付]规则
export function getSettleRules(par) {
  return fetch({
    url: '/unionService/billSettlementRule/billSettlementRule?ruleId=' + par,
    method: 'get'
  })
}


// 创建集团结算数据
export function createSettleConfig(par) {
  return fetch({
    url: '/service-trade/billSettlementRule/billSettlementRule',
    method: 'post',
    data: par
  })
}

// 修改集团结算数据
export function updateSettleConfig(par) {
  return fetch({
    url: '/service-trade/billSettlementRule/billSettlementRule',
    method: 'put',
    data: par
  })
}

// 查询所有规则列表
export function getSettleConfigs() {
  return fetch({
    url: '/unionService/billSettlementRule/billSettlementRules',
    method: 'get'
  })
}

// 删除规则
export function deleteSettleConfigs(id) {
  return fetch({
    url: '/service-trade/billSettlementRule/billSettlementRule?ruleId=' + id,
    method: 'delete'
  })
}

// 列表重拍
export function reorderIndex(par) {
  return fetch({
    url: '/service-trade/billSettlementRule/billSettlementRuleSort',
    method: 'put',
    data: par
  })
}
